{% extends "baseLayout.html" %}

{% load static %}

{% block title %}
Jeux
{% endblock %}

{% block styles %}
    {{ block.super }}
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.3.1/css/all.css"
integrity="sha384-mzrmE5qonljUremFsqc01SB46JvROS7bZs3IO2EmfFsd15uHvIt+Y8vEf7N7fWAU"
crossorigin="anonymous">

{% endblock %}

{% block content %}
<h2>Jeux</h2>
<div class="card bg-secondary">
    <div class="card-body">
      <div class="row" style="row-gap: 1rem">
        {% if jeu_list %}
          {% for jeu in jeu_list %}
            <div class="col-sm-6 col-lg-4 col-xl-3">
              <div class="card bg-light text-dark">
                <h5 class="card-header">
                  {{ jeu.nom }} par  {{ jeu.editeur }}
                </h5>
                <div class="card-body">
                  <img src="{{jeu.logo}}" alt="Logo" class="img-fluid rounded mx-auto d-block" style="width:45%; height:auto ">
                </div>
                <div class="card-footer d-flex justify-content-end" style="column-gap: 1rem">
                    <a href="{% url 'lesJeux:jeu-detail' jeu.id %}" class="btn btn-secondary"><i class="fas fa-eye"></i></a>
                    <a href="{% url 'lesJeux:jeu_update' jeu.id %}" class="btn btn-primary"><i class="fas fa-pen"></i></a>
                    <a href="{% url 'lesJeux:jeu-delete' jeu.id %}" class="btn btn-danger"><i class="fas fa-trash"></i></a>
                    <a href="{{jeu.url_steam}}" class="btn btn-info"><img src="https://upload.wikimedia.org/wikipedia/commons/thumb/8/83/Steam_icon_logo.svg/800px-Steam_icon_logo.svg.png" alt="Logo steam" class="img-fluid rounded" style="width:45%; height:auto"></a>
                  </div>
              </div>
            </div>
          {% endfor %}
        {% else %}
          <h4 class="container text-warning">Aucun jeu !</h4>
        {% endif %}
      </div>
    </div>
  </div>
  <a href="{% url 'lesJeux:jeu_create' %}" class="btn btn-success mt-3">Ajouter un jeu</a>
  <a href="{% url 'lesJeux:editeur_list'  %}"  class="btn btn-primary mt-3">Voir les Editeurs</a>
  <a href="{% url 'lesJeux:personnage_list'  %}"  class="btn btn-primary mt-3">Voir les Personnages</a>

     
{% endblock %}